%define	name	gnomad2
%define	version	2.9.4
%define rel	3
%define	release	%mkrel %{rel}
%define	Summary	A Nomad Jukebox manager

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
URL:		http://gnomad2.sourceforge.net/
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-0.9.4-fix-str-fmt.patch
BuildRequires:	libnjb-devel >= 2.2 
BuildRequires:	libgtk+2-devel
BuildRequires:	libid3tag-devel
BuildRequires:	imagemagick
BuildRequires:  perl-XML-Parser
BuildRequires:  desktop-file-utils
BuildRequires:  libmtp-devel >= 0.3.0
BuildRequires:  taglib-devel
BuildRequires:	hal-devel
BuildRequires:	dbus-devel
BuildRequires:	intltool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Gnomad 2 is a GUI built on top of GTK/GNOME 2, libid3tag and libnjb that
makes it possible to transfer tracks and files from/to a
Creative Nomad Jukebox (all brands). It is designed much like
an ordinary graphical FTP program.

%prep
%setup -q
%patch0

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

install -d %{buildroot}{%{_miconsdir},%{_liconsdir},%{_menudir}}
convert -size 16x16 %{name}-logo.png %{buildroot}%{_miconsdir}/%{name}-logo.png
convert -size 32x32 %{name}-logo.png %{buildroot}%{_iconsdir}/%{name}-logo.png
convert -size 48x48 %{name}-logo.png %{buildroot}%{_liconsdir}/%{name}-logo.png

perl -pi -e 's,%{name}-logo.png,%{name}-logo,g' %{buildroot}%{_datadir}/applications/*

%find_lang %{name}
desktop-file-install --vendor="" \
    --remove-category="Application" \
    --add-category="AudioVideo;Audio" \
    --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*
	  
%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(755,root,root,755)
%{_bindir}/%{name}
%defattr(644,root,root,755)
%{_mandir}/man1/%{name}.1*
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}-logo.png
%{_miconsdir}/%{name}-logo.png
%{_iconsdir}/%{name}-logo.png
%{_liconsdir}/%{name}-logo.png
%doc AUTHORS NEWS ChangeLog README TODO


%changelog
* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.9.4-3mdv2011.0
+ Revision: 619028
- the mass rebuild of 2010.0 packages

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 2.9.4-2mdv2010.0
+ Revision: 437757
- rebuild

* Wed Feb 11 2009 Emmanuel Andry <eandry@mandriva.org> 2.9.4-1mdv2009.1
+ Revision: 339584
- BR intltool
- New version 0.9.4
- diff P0 to fix string format literal

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Sep 06 2008 Emmanuel Andry <eandry@mandriva.org> 2.9.2-1mdv2009.0
+ Revision: 281949
- New version
- drop patch (merged upstream)

* Fri Jul 18 2008 Funda Wang <fwang@mandriva.org> 2.9.1-2mdv2009.0
+ Revision: 238252
- add patch to build with libmtp 0.3.0

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Feb 03 2008 Emmanuel Andry <eandry@mandriva.org> 2.9.1-1mdv2008.1
+ Revision: 161789
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 27 2007 Funda Wang <fwang@mandriva.org> 2.9.0-2mdv2008.1
+ Revision: 102622
- rebuild for new libmtp

* Thu Sep 06 2007 Emmanuel Andry <eandry@mandriva.org> 2.9.0-1mdv2008.0
+ Revision: 81209
- New version
- buildrequires taglib-devel
- remove icon extension in desktop file (thanks to adamw)

* Sun Aug 05 2007 Funda Wang <fwang@mandriva.org> 2.8.12-2mdv2008.0
+ Revision: 59035
- rebuild against latest libmtp

* Mon May 21 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.8.12-1mdv2008.0
+ Revision: 29008
- new release: 2.8.12


* Wed Jan 24 2007 Emmanuel Andry <eandry@mandriva.org> 2.8.10-1mdv2007.0
+ Revision: 112816
- New release 2.8.10

* Sat Dec 09 2006 Emmanuel Andry <eandry@mandriva.org> 2.8.9-2mdv2007.1
+ Revision: 94379
- rebuild for new libmtp

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 2.8.9-1mdv2007.1
+ Revision: 90255
- New version 2.8.9
  build with libmtp
- Import gnomad2

* Thu Aug 24 2006 Gtz Waschk <waschk@mandriva.org> 2.8.6-2mdv2007.0
- fix Debian menu
- fix buildrequires

* Wed Aug 23 2006 Emmanuel Andry <eandry@mandriva.org> 2.8.6-1mdv2007.0
- New release 2.8.6
- xdg menu

* Fri Apr 14 2006 Jerome Soyer <saispo@mandriva.org> 2.8.3-1mdk
- New release 2.8.3

* Wed Mar 15 2006 Gtz Waschk <waschk@mandriva.org> 2.8.2-3mdk
- fix buildrequires

* Sat Dec 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.8.2-2mdk
- Add BuildRequires: perl-XML-Parser

* Thu Dec 22 2005 Götz Waschk <waschk@mandriva.org> 2.8.2-1mdk
- fix buildrequires
- fix configure call
- New release 2.8.2

* Sat Jul 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.8.0-1mdk
- 2.8.0

* Fri Jun 17 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.7.1-2mdk
- no bz2 ending for man page

* Fri Jun 17 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.7.1-1mdk
- 2.7.1
- %%mkrel

* Thu Dec 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.5.0-1mdk
- 2.5.0

* Sun Jun 06 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.4.4-1mdk
- 2.4.4

